import Vue from 'vue'

export const getConfigByName = async function (configName, appName) {
  let url = '/api/af-system/logic/openapi/getLiuliConfiguration'
  if (appName) {
    url = `/api/${appName}/logic/openapi/getLiuliConfiguration`
  }
  // 获取配置信息
  try {
    return await Vue.resetpost(url,
      {configName}
      ,
      {resolveMsg: null, rejectMsg: null, newly: true})
  } catch (error) {
    // 忽略704,文件找不到异常
    if (error.status !== 704) {
      throw error
    }
  }
}
